package com.ym.mec.education.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 提现记录表
 * </p>
 *
 * @author lemeng
 * @since 2019-09-25
 */
@TableName("student_withdraw")
public class StudentWithdraw extends Model<StudentWithdraw> {

    private static final long serialVersionUID = 1L;

    /**
     * 提现流水号
     */
    @TableId("id_")
    private String id;
    /**
     * 用户编号
     */
    @TableField("user_id_")
    private Long userId;
    /**
     * 银行卡号
     */
    @TableField("bank_card_no_")
    private String bankCardNo;
    /**
     * 银行流水号
     */
    @TableField("trans_no_")
    private String transNo;
    /**
     * 交易状态(1,交易中;2,成功交易;3,交易失败;4,交易关闭)
     */
    @TableField("status_")
    private Integer status;
    /**
     * 提现金额
     */
    @TableField("amount_")
    private BigDecimal amount;
    /**
     * 用户承担的费用（单位：分）
     */
    @TableField("fee_user_")
    private BigDecimal feeUser;
    /**
     * 平台承担的费用（单位：分）
     */
    @TableField("fee_platform_")
    private BigDecimal feePlatform;
    /**
     * 描述
     */
    @TableField("description_")
    private String description;
    /**
     * 备注
     */
    @TableField("comment_")
    private String comment;
    /**
     * 创建时间
     */
    @TableField("create_time_")
    private Date createTime;
    /**
     * 修改时间
     */
    @TableField("modify_time_")
    private Date modifyTime;


    public String getId() {
        return id;
    }

    public StudentWithdraw setId(String id) {
        this.id = id;
        return this;
    }

    public Long getUserId() {
        return userId;
    }

    public StudentWithdraw setUserId(Long userId) {
        this.userId = userId;
        return this;
    }

    public String getBankCardNo() {
        return bankCardNo;
    }

    public StudentWithdraw setBankCardNo(String bankCardNo) {
        this.bankCardNo = bankCardNo;
        return this;
    }

    public String getTransNo() {
        return transNo;
    }

    public StudentWithdraw setTransNo(String transNo) {
        this.transNo = transNo;
        return this;
    }

    public Integer getStatus() {
        return status;
    }

    public StudentWithdraw setStatus(Integer status) {
        this.status = status;
        return this;
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public StudentWithdraw setAmount(BigDecimal amount) {
        this.amount = amount;
        return this;
    }

    public BigDecimal getFeeUser() {
        return feeUser;
    }

    public StudentWithdraw setFeeUser(BigDecimal feeUser) {
        this.feeUser = feeUser;
        return this;
    }

    public BigDecimal getFeePlatform() {
        return feePlatform;
    }

    public StudentWithdraw setFeePlatform(BigDecimal feePlatform) {
        this.feePlatform = feePlatform;
        return this;
    }

    public String getDescription() {
        return description;
    }

    public StudentWithdraw setDescription(String description) {
        this.description = description;
        return this;
    }

    public String getComment() {
        return comment;
    }

    public StudentWithdraw setComment(String comment) {
        this.comment = comment;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public StudentWithdraw setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Date getModifyTime() {
        return modifyTime;
    }

    public StudentWithdraw setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
        return this;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "StudentWithdraw{" +
        ", id=" + id +
        ", userId=" + userId +
        ", bankCardNo=" + bankCardNo +
        ", transNo=" + transNo +
        ", status=" + status +
        ", amount=" + amount +
        ", feeUser=" + feeUser +
        ", feePlatform=" + feePlatform +
        ", description=" + description +
        ", comment=" + comment +
        ", createTime=" + createTime +
        ", modifyTime=" + modifyTime +
        "}";
    }
}
